> ## Documentation Index
> Fetch the complete documentation index at: https://plivo.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Powerpacks

> Fetch a list of all Powerpacks on your account

Fetches a list of Powerpacks.

#### API Endpoint

```text theme={null}
GET https://api.plivo.com/v1/Account/{auth_id}/Powerpack/
```

#### Arguments

<table>
  <tbody>
    <tr>
      <td><strong>limit <span>integer</span></strong></td>
      <td><p>Denotes the number of results per page. The maximum number of results that can be fetched is 20. Defaults to 20.</p></td>
    </tr>

    <tr>
      <td><strong>offset <span>integer</span></strong></td>
      <td><p>Denotes the number of value items by which the results should be offset. Defaults to 0. Read more about <a href="https://docs.plivo.com/docs/messaging/api/request/pagination">offset-based pagination</a>.</p></td>
    </tr>
  </tbody>
</table>

#### Returns

This API returns a list of Powerpack resources associated with the Account.

The API response also contains a meta field with the following fields:

* limit: the size of the page returned in the response
* offset: the offset for the page returned in the response
* total\_count: the total number of records that match the specified filters
* next: the URL that points to the next page of results
* previous: the URL that points to the previous page of results

<RequestExample>
  ```Python Py theme={null}
  py
  ```

  ```Ruby Ruby theme={null}
  # Ruby example
  require 'rubygems'
  require 'plivo'
  include Plivo
  include Plivo::Exceptions

  api = RestClient.new("<auth_id>","<auth_token>")
  begin
    response = api.powerpacks.list(offset:0, limit:20)
    puts response
  rescue PlivoRESTError => e
    puts 'Exception: ' + e.message
  end
  ```

  ```Javascript Javascript theme={null}
  // Node.js example
  var plivo = require('plivo');
  var client = new plivo.Client("<auth_id>","<auth_token>");

  client.powerpacks.list({'limit':'2', 'offset':'100'})
  .then(function (result) {
      console.log(result)})
  .catch(function (response) {
      console.log(response);
  });
  ```

  ```php PHP theme={null}
  // PHP example
  <?php
  require 'vendor/autoload.php';
  use Plivo\RestClient;

  $client = new RestClient("<auth_id>","<auth_token>");
  try {
      $response = $client->powerpacks->list();
      print_r($response);
  }
  catch (PlivoRestException $ex) {
      print_r($ex);
  }
  ```

  ```c# C# theme={null}
  // C# example
  using System;
  using Plivo;
  using Plivo.Exception;
  using System.Collections.Generic;

  namespace test_apps
  {
      class Program
      {
          static void Main(string[] args)
          {
              var api = new PlivoApi("<auth_id>","<auth_token>");
              try
              {
                  var response = api.Powerpacks.List(offset:0,limit:2);
                  Console.WriteLine(response);
              }
              catch (PlivoRestException e)
              {
                  Console.WriteLine("Exception: " + e.Message);
              }
          }
      }
  }
  ```

  ```go Go theme={null}
  // Go example
  package main

  import (
  	"fmt"

  	plivo "github.com/plivo/plivo-go/v7"
  )

  func main() {
  	client, err := plivo.NewClient("<auth_id>", "<auth_token>", &plivo.ClientOptions{})
  	if err != nil {
  		fmt.Print("Error", err.Error())
  		return
  	}
  	response, err := client.Powerpack.List(plivo.PowerpackListParams{Limit: 1})
  	if err != nil {
  		fmt.Print("Error", err.Error())
  		return
  	}
  	fmt.Printf("Response: %#v\n", response)
  }
  ```

  ```bash sh theme={null}
  # cURL example
  curl -X GET -i --user auth_id:auth_token \
  -H "Content-Type: application/json" \
  https://api.plivo.com/v1/Account/{auth_id}/Powerpack/
  ```
</RequestExample>

### Response

```json theme={null}
{
    "api_id": "e44c159e-0a02-11ea-b072-0242ac110007",
    "meta": {
        "limit": 20,
        "next": "/api/v1/account/MA2025RK4E639VJFZAGV/Powerpack?offset=20&limit=20",
        "offset": 0,
        "total_count": 53
    },
    "objects": [
        {
            "application_id": "",
            "application_type": "",
            "created_on": "2020-10-09T11:10:59.666461Z",
            "local_connect": true,
            "name": "test",
            "number_pool": "/v1/Account/MA2025RK4E639VJFZAGV/NumberPool/<number_pool_uuid>/",
            "sticky_sender": true,
            "uuid": "<powerpack_uuid>"
        },
        {
            "application_id": "",
            "application_type": "",
            "created_on": "2020-10-09T17:03:31.837944Z",
            "local_connect": false,
            "name": "p23",
            "number_pool": "/v1/Account/MA2025RK4E639VJFZAGV/NumberPool/<number_pool_uuid>/",
            "sticky_sender": false,
            "uuid": "<powerpack_uuid>"
        },
        {
            "application_id": "",
            "application_type": "",
            "created_on": "2020-10-09T16:54:34.0117Z",
            "local_connect": false,
            "name": "p22",
            "number_pool": "/v1/Account/MA2025RK4E639VJFZAGV/NumberPool/<number_pool_uuid>/",
            "sticky_sender": false,
            "uuid": "<powerpack_uuid>"
        }
    ]
}
```
